// #ifndef VUE3
import Vue from 'vue'
import App from './App'

import uView from 'uview-ui';
Vue.use(uView);

Vue.config.productionTip = false

App.mpType = 'app'

import store from '@/store';

// 引入uView提供的对vuex的简写法文件
// let vuexStore = require('@/store/$u.mixin.js');
// Vue.mixin(vuexStore);

Vue.prototype.$store = store

const app = new Vue({
	store,
	...App
})

/* #ifdef H5 */
// http拦截器， 将此部分放在new Vue() 和app.$mount() 之间， 才能App.vue中正常使用
import httpInterceptor from '@/servers/http.interceptor.js';
Vue.use(httpInterceptor, app);
/* #endif */

app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
